Ask Your Question
0

perception_pcl on RPI2

asked 2015-11-20 10:44:09 -0500

ben.gill gravatar image

updated 2015-11-20 12:46:05 -0500

Hi, I've been developing a cheap scanning LIDAR unit, that I'm trying to integrate on a custom robot that uses a RPI2 running ROS Indigo as its controller. I developed the hardware on a PC running Ubuntu. Now that I want to integrate it, I'm finding that I cannot build the perception_pcl packages, due to a dependency with PCL. The RPI2 is running Raspbian Jessie. Perception_pcl lists libpcl-all and libpcl-all-dev as dependencies. The closest matching packages in the Raspbian repo is libpcl1.7 and libpcl1.7-dev.

Would editing the perception_pcl source to depend on libpcl1.7 & libpcl1.7-dev fix the issue? Otherwise, where would I find the source for libpcl-all & libpcl-all-dev?

Thanks in advance, Ben

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2015-11-20 11:59:18 -0500

Airuno2L gravatar image

All the pcl source can be found on their github: https://github.com/PointCloudLibrary/pcl.

I don't know anything about Raspbian, but here is a page that lists information for all the Linux distros that have binaries: http://pointclouds.org/downloads/linux.html, maybe the binaries for Debian will work???

Lastly, the pcl mailing list is pretty active: http://www.pcl-users.org/

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-11-20 10:44:09 -0500

Seen: 72 times

Last updated: Nov 20 '15